Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJobCalendarTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger
          com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobCalendarTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class ReportJobCalendarTrigger

extends ReportJobTrigger
implements java.io.Serializable

Version:
  $Id: ReportJobCalendarTrigger.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `DAYS_TYPE_ALL`
`static byte` | `DAYS_TYPE_MONTH`
`static byte` | `DAYS_TYPE_WEEK`

Fields inherited from class com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger
`START_TYPE_NOW, START_TYPE_SCHEDULE`

Constructor Summary
`ReportJobCalendarTrigger()`

Method Summary
`byte` | `getDaysType()`
`java.lang.String` | `getHours()`
`java.lang.String` | `getMinutes()`
`java.lang.String` | `getMonthDays()`
`java.util.SortedSet` | `getMonths()`
`java.util.SortedSet` | `getWeekDays()`
`void` | `setDaysType(byte daysType)`
`void` | `setHours(java.lang.String hours)`
`void` | `setMinutes(java.lang.String minutes)`
`void` | `setMonthDays(java.lang.String monthDays)`
`void` | `setMonths(java.util.SortedSet months)`
`void` | `setWeekDays(java.util.SortedSet weekDays)`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobTrigger
`getEndDate, getId, getStartDate, getStartType, getTimezone, getVersion, setEndDate, setId, setStartDate, setStartType, setTimezone, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DAYS_TYPE_ALL

    public static final byte DAYS_TYPE_ALL

See Also:
  Constant Field Values

### DAYS_TYPE_WEEK

    public static final byte DAYS_TYPE_WEEK

See Also:
  Constant Field Values

### DAYS_TYPE_MONTH

    public static final byte DAYS_TYPE_MONTH

See Also:
  Constant Field Values

Constructor Detail

### ReportJobCalendarTrigger

    public ReportJobCalendarTrigger()

Method Detail

### getMinutes

    public java.lang.String getMinutes()

### setMinutes

    public void setMinutes(java.lang.String minutes)

### getHours

    public java.lang.String getHours()

### setHours

    public void setHours(java.lang.String hours)

### getDaysType

    public byte getDaysType()

### setDaysType

    public void setDaysType(byte daysType)

### getMonthDays

    public java.lang.String getMonthDays()

### setMonthDays

    public void setMonthDays(java.lang.String monthDays)

### getMonths

    public java.util.SortedSet getMonths()

### setMonths

    public void setMonths(java.util.SortedSet months)

### getWeekDays

    public java.util.SortedSet getWeekDays()

### setWeekDays

    public void setWeekDays(java.util.SortedSet weekDays)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.